# mpi4py.MPI.Prequest

class mpi4py.MPI.Prequest

  Bases: `Request`

  Persistent request handler.

  static __new__(cls, request=None)
    Parameters:

      request (Prequest | None)

    Return type:

      Self

  Methods Summary

  `Parrived`(partition) | Test partial completion of a partitioned receive operation.
  `Pready`(partition) | Mark a given partition as ready.
  `Pready_list`(partitions) | Mark a sequence of partitions as ready.
  `Pready_range`(partition_low, partition_high) | Mark a range of partitions as ready.
  `Start`() | Initiate a communication with a persistent request.
  `Startall`(requests) | Start a collection of persistent requests.

  Methods Documentation

  Parrived(partition)

    Test partial completion of a partitioned receive operation.

    Parameters:

      partition (int)

    Return type:

      bool

  Pready(partition)

    Mark a given partition as ready.

    Parameters:

      partition (int)

    Return type:

      None

  Pready_list(partitions)

    Mark a sequence of partitions as ready.

    Parameters:

      partitions (Sequence[int])

    Return type:

      None

  Pready_range(partition_low, partition_high)

    Mark a range of partitions as ready.

    Parameters:

      - partition_low (int)

      - partition_high (int)

    Return type:

      None

  Start()

    Initiate a communication with a persistent request.

    Return type:

      None

  classmethod Startall(requests)

    Start a collection of persistent requests.

    Parameters:

      requests (list[Prequest])

    Return type:

      None